POST API/Stock/SetInvoiceOutgoing
Request Information
URI Parameters
None.
Body Parameters
InvoiceOutgoingM| Name | Description | Type | Additional information |
|---|---|---|---|
| dtS | date |
None. |
|
| dtE | date |
None. |
|
| ID | globally unique identifier |
None. |
|
| Department_ID | integer |
None. |
|
| invoiceNumber | string |
None. |
|
| invoiceDate | date |
None. |
|
| isDelivered | boolean |
None. |
|
| typeOutgoing | integer |
None. |
|
| warehouse | integer |
None. |
|
| CreateDate | date |
None. |
|
| UpdateUser | globally unique identifier |
None. |
|
| UpdateDate | date |
None. |
|
| Comment | string |
None. |
|
| invoice_ID | globally unique identifier |
None. |
|
| StockOutgoings | Collection of StockOutgoingM |
None. |
|
| onlyUnattached | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"dtS": "2026-07-16T03:13:41.3369353+05:00",
"dtE": "2026-07-16T03:13:41.3369353+05:00",
"ID": "4e8ea9dc-0808-4186-84e0-64b8d3014612",
"Department_ID": 1,
"invoiceNumber": "sample string 2",
"invoiceDate": "2026-07-16T03:13:41.3369353+05:00",
"isDelivered": true,
"typeOutgoing": 1,
"warehouse": 4,
"CreateDate": "2026-07-16T03:13:41.3369353+05:00",
"UpdateUser": "5b107cc6-a1ad-4233-8533-94ff5b3dc044",
"UpdateDate": "2026-07-16T03:13:41.3369353+05:00",
"Comment": "sample string 5",
"invoice_ID": "17744d87-49f2-4b23-8b3b-99471a1237bb",
"StockOutgoings": [
{
"ID": "048cc334-adbf-499a-b0d7-7d3c0fa0c773",
"Stock_ID": "41b43d6b-69ea-4845-9f57-8881c575e742",
"Quantity": 3.0,
"CreateDate": "2026-07-16T03:13:41.3369353+05:00",
"UpdatePerson_ID": "8c831ded-8743-4a01-a5e1-d196fad5beb7",
"Invoice_Details_ID": "0ddee562-1f3f-490f-9cae-2bc9d48a79d7",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "7f4c1407-ae0b-4ec7-b181-136be57a88b9",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "6dbcb980-9d12-4597-9a36-ac32ceee3ba4",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-07-16T03:13:41.3369353+05:00"
}
},
{
"ID": "048cc334-adbf-499a-b0d7-7d3c0fa0c773",
"Stock_ID": "41b43d6b-69ea-4845-9f57-8881c575e742",
"Quantity": 3.0,
"CreateDate": "2026-07-16T03:13:41.3369353+05:00",
"UpdatePerson_ID": "8c831ded-8743-4a01-a5e1-d196fad5beb7",
"Invoice_Details_ID": "0ddee562-1f3f-490f-9cae-2bc9d48a79d7",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "7f4c1407-ae0b-4ec7-b181-136be57a88b9",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "6dbcb980-9d12-4597-9a36-ac32ceee3ba4",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-07-16T03:13:41.3369353+05:00"
}
}
],
"onlyUnattached": true
}
application/xml, text/xml
Sample:
<InvoiceOutgoingM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Comment>sample string 5</Comment>
<CreateDate>2026-07-16T03:13:41.3369353+05:00</CreateDate>
<Department_ID>1</Department_ID>
<ID>4e8ea9dc-0808-4186-84e0-64b8d3014612</ID>
<StockOutgoings>
<StockOutgoingM>
<CreateDate>2026-07-16T03:13:41.3369353+05:00</CreateDate>
<ID>048cc334-adbf-499a-b0d7-7d3c0fa0c773</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>0ddee562-1f3f-490f-9cae-2bc9d48a79d7</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-07-16T03:13:41.3369353+05:00</CreateDate>
<ID>6dbcb980-9d12-4597-9a36-ac32ceee3ba4</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>7f4c1407-ae0b-4ec7-b181-136be57a88b9</StockIncoming_ID>
<Stock_ID>41b43d6b-69ea-4845-9f57-8881c575e742</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>8c831ded-8743-4a01-a5e1-d196fad5beb7</UpdatePerson_ID>
</StockOutgoingM>
<StockOutgoingM>
<CreateDate>2026-07-16T03:13:41.3369353+05:00</CreateDate>
<ID>048cc334-adbf-499a-b0d7-7d3c0fa0c773</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>0ddee562-1f3f-490f-9cae-2bc9d48a79d7</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-07-16T03:13:41.3369353+05:00</CreateDate>
<ID>6dbcb980-9d12-4597-9a36-ac32ceee3ba4</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>7f4c1407-ae0b-4ec7-b181-136be57a88b9</StockIncoming_ID>
<Stock_ID>41b43d6b-69ea-4845-9f57-8881c575e742</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>8c831ded-8743-4a01-a5e1-d196fad5beb7</UpdatePerson_ID>
</StockOutgoingM>
</StockOutgoings>
<UpdateDate>2026-07-16T03:13:41.3369353+05:00</UpdateDate>
<UpdateUser>5b107cc6-a1ad-4233-8533-94ff5b3dc044</UpdateUser>
<dtE>2026-07-16T03:13:41.3369353+05:00</dtE>
<dtS>2026-07-16T03:13:41.3369353+05:00</dtS>
<invoiceDate>2026-07-16T03:13:41.3369353+05:00</invoiceDate>
<invoiceNumber>sample string 2</invoiceNumber>
<invoice_ID>17744d87-49f2-4b23-8b3b-99471a1237bb</invoice_ID>
<isDelivered>true</isDelivered>
<onlyUnattached>true</onlyUnattached>
<typeOutgoing>1</typeOutgoing>
<warehouse>4</warehouse>
</InvoiceOutgoingM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>